#include <stdio.h>
using namespace std;
int c[200001];
int r[200001];
int kol[200001];
int vrs[200001];
int main(int argc, const char * argv[]) {
    int n,pom=0;
    long long br=0;
    scanf("%d",&n);
    for(int i=1;i<=n;i++)
    {
        scanf("%d%d",&r[i],&c[i]);
        kol[c[i]]++;
        vrs[r[i]]++;
    }
    for(int i=1;i<n;i++)
    {
        if(kol[i]==0)
        {
            pom++;
            for(int j=i+1;j<=n;j++)
            {
                if(kol[j]==0)
                    pom++;
                else
                {
                    if(kol[j]<pom+1)
                    {
                        br+=kol[j]*pom-kol[j]*(kol[j]-1)/2;
                        pom=pom-kol[j]+1;
                    }
                    else if(kol[j]==pom+1)
                    {
                        br+=kol[j]*pom-kol[j]*(kol[j]-1)/2;
                        pom=0;
                        i=j;
                        break;
                    }
                    else
                    {
                        br+=kol[j]*pom-kol[j]*(kol[j]-1)/2;
                        pom=0;
                        br+=kol[j]-pom-1;
                        kol[j+1]+=kol[j]-pom-1;
                        i=j;
                        break;
                    }
                }
            }
        }
        else if(kol[i]>1)
        {
            kol[i+1]=kol[i]-1;
            br+=kol[i]-1;
        }
    }
    for(int i=1;i<n;i++)
    {
        if(vrs[i]==0)
        {
            if(vrs[i]==0)
            {
                pom++;
                for(int j=i+1;j<=n;j++)
                {
                    if(vrs[j]==0)
                        pom++;
                    else
                    {
                        if(vrs[j]<pom+1)
                        {
                            br+=vrs[j]*pom-vrs[j]*(vrs[j]-1)/2;
                            pom=pom-vrs[j]+1;
                        }
                        else if(vrs[j]==pom+1)
                        {
                            br+=vrs[j]*pom-vrs[j]*(vrs[j]-1)/2;
                            pom=0;
                            i=j;
                            break;
                        }
                        else
                        {
                            br+=vrs[j]*pom-vrs[j]*(vrs[j]-1)/2;
                            pom=0;
                            br+=vrs[j]-pom-1;
                            vrs[j+1]+=vrs[j]-pom-1;
                            i=j;
                            break;
                        }
                    }
                }
            }
        }
        else if(vrs[i]>1)
        {
            vrs[i+1]=vrs[i]-1;
            br+=vrs[i]-1;
            
        }
    }
    printf("%lld",br);
    return 0;
}